#pragma once


namespace drp::event {


enum class EventType {
    // debug
    PING = 0x00,  // simple ping
    PONG = 0x01,  // ping response

    // protocol
    SEARCH = 0x10,  // search for devices
    INFO = 0x011,  // information about ourselves

    // security
    RSA_PUBLIC_KEY = 0x20,  // sharing asymmetric public key
    AES_SECRET_KEY = 0x21,  // sharing symmetric private key

    // functionality
    AUDIO = 0x30,  // play a sound at a given time
};


}