#pragma once

#include <chrono>

#include "../base/PacketData.hpp"


namespace drp::packet::search {


/**
 * Represent a discovery request.
 * Sent by someone to get information about other available machine in the network.
 */
class SearchPacketData : public base::PacketData<event::EventType::SEARCH, SearchPacketData> {
public:
    std::chrono::time_point<std::chrono::system_clock> timestamp;  /// timestamp when the search request was sent
};


}